%define upstream_name    Log-Dispatchouli
%define upstream_version 3.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A simple wrapper around Log::Dispatch
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(JSON::MaybeXS)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Log::Dispatch::Array)
BuildRequires: perl(Log::Dispatch::File)
BuildRequires: perl(Log::Dispatch::Screen)
BuildRequires: perl(Log::Dispatch::Syslog)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Flogger)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Exporter::GlobExporter) >= 0.2.0
BuildRequires: perl(Sys::Syslog) >= 0.160.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Try::Tiny) >= 0.40.0
BuildRequires: perl(base)
BuildRequires: perl(experimental)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}
Requires:   perl(Log::Dispatch::Array)
%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 3.9.0-1.mga10
+ Revision: 2141361
- update to 3.009

* Wed Sep 06 2023 tv <tv> 3.7.0-1.mga10
+ Revision: 1984746
- update to 3.007
- update to 3.006

* Thu Dec 08 2022 tv <tv> 3.2.0-1.mga9
+ Revision: 1919212
- update to 3.002

* Mon Dec 05 2022 tv <tv> 3.1.0-1.mga9
+ Revision: 1918096
- update to 3.001

* Mon Mar 21 2022 umeabot <umeabot> 2.23.0-2.mga9
+ Revision: 1814628
- Mageia 9 Mass Rebuild

* Wed Jun 23 2021 tv <tv> 2.23.0-1.mga9
+ Revision: 1731823
- update to 2.023

* Wed Aug 26 2020 tv <tv> 2.22.0-1.mga8
+ Revision: 1619064
- update to 2.022

* Fri Aug 14 2020 tv <tv> 2.21.0-1.mga8
+ Revision: 1613978
- update to 2.021

* Sat Feb 15 2020 umeabot <umeabot> 2.19.0-2.mga8
+ Revision: 1528005
- Mageia 8 Mass Rebuild

* Mon Aug 05 2019 tv <tv> 2.19.0-1.mga8
+ Revision: 1427479
- update to 2.019

* Wed Mar 13 2019 tv <tv> 2.17.0-1.mga7
+ Revision: 1375888
- update to 2.017

* Thu Sep 20 2018 umeabot <umeabot> 2.16.0-2.mga7
+ Revision: 1284517
- Mageia 7 Mass Rebuild

* Sat Mar 03 2018 tv <tv> 2.16.0-1.mga7
+ Revision: 1206275
- update to 2.016

* Tue Oct 03 2017 tv <tv> 2.15.0-2.mga7
+ Revision: 1165273
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 2.15.0-1.mga7
+ Revision: 1141588
- update to 2.015

* Sun Jun 19 2016 pterjan <pterjan> 2.12.0-3.mga6
+ Revision: 1029353
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.12.0-2.mga6
+ Revision: 965774
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 2.12.0-1.mga6
+ Revision: 837163
- update to 2.012

* Thu Dec 11 2014 sander85 <sander85> 2.10.0-4.mga5
+ Revision: 802721
- Fix BRs
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.10.0-3.mga5
+ Revision: 733165
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 2.10.0-2.mga5
+ Revision: 685263
- Mageia 5 Mass Rebuild

* Tue Jul 29 2014 sander85 <sander85> 2.10.0-1.mga5
+ Revision: 657882
- update to 2.010

* Sun Feb 09 2014 sander85 <sander85> 2.9.0-1.mga5
+ Revision: 587469
- update to 2.009

* Mon Oct 21 2013 umeabot <umeabot> 2.8.0-2.mga4
+ Revision: 537822
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 2.8.0-1.mga4
+ Revision: 487801
- update to 2.008

* Fri Jun 07 2013 jquelin <jquelin> 2.6.0-1.mga4
+ Revision: 439480
- update to 2.006

* Sun Jan 13 2013 umeabot <umeabot> 2.5.0-2.mga3
+ Revision: 369220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 11 2011 jquelin <jquelin> 2.5.0-1.mga1
+ Revision: 83365
- update to 2.005

* Thu Feb 17 2011 dmorgan <dmorgan> 2.4.0-1.mga1
+ Revision: 52934
- New version

* Mon Jan 24 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 37074
- mageia rebuild
- imported package perl-Log-Dispatchouli

